library(quantmod)
indexnames=c("^DJI","^GSPC","^IXIC","^RUT","^VIX","^SOX")
filenames=c("DJI","GSPC","IXIC","RUT","VIX","SOX")
getSymbols(indexnames,from="1990-01-01", adjust=TRUE)
save("DJI","GSPC","IXIC","RUT","VIX","SOX",file="index.RData")
print(load("index.RData"))

SPDR=c("XLB","XLE","XLF","XLP","XLI","XLU","XLV","XLK","XLY","RWR","SPY")
getSymbols(SPDR,from="1990-01-01", to=as.Date(Sys.time()), adjust=TRUE)
save("XLB","XLE","XLF","XLP","XLI","XLU","XLV","XLK","XLY","RWR","SPY", file="SPDR.RData")
library(xts)
print(load("SPDR.RData"));tail(RWR)

iShares=c("EWJ","EWG","EWU","EWC","EWY","EWA","EWH","EWS","IYZ","EZU","IYR","EWT","EWZ","EFA","IGE","EPP","LQD","SHY","IEF","TLT")
getSymbols(iShares,from="1990-01-01", to=as.Date(Sys.time()),adjust=TRUE)
save("EWJ","EWG","EWU","EWC","EWY","EWA","EWH","EWS","IYZ","EZU","IYR","EWT","EWZ","EFA","IGE","EPP","LQD","SHY","IEF","TLT", file="iShares.RData")
print(load("iShares.RData"));tail(EWS)



if (FALSE)
{
  "XLE", #SPDR Energy sector
  "XLF", #SPDR Financial sector
  "XLP", #SPDR Consumer staples sector
  "XLI", #SPDR Industrial sector
  "XLU", #SPDR Utilities sector
  "XLV", #SPDR Healthcare sector
  "XLK", #SPDR Tech sector
  "XLY", #SPDR Consumer discretionary sector
  "RWR", #SPDR Dow Jones REIT ETF
  "EWJ", #iShares Japan
  "EWG", #iShares Germany
  "EWU", #iShares UK
  "EWC", #iShares Canada
  "EWY", #iShares South Korea
  "EWA", #iShares Australia
  "EWH", #iShares Hong Kong
  "EWS", #iShares Singapore
  "IYZ", #iShares U.S. Telecom
  "EZU", #iShares MSCI EMU ETF
  "IYR", #iShares U.S. Real Estate
  "EWT", #iShares Taiwan
  "EWZ", #iShares Brazil
  "EFA", #iShares EAFE
  "IGE", #iShares North American Natural Resources
  "EPP", #iShares Pacific Ex Japan
  "LQD", #iShares Investment Grade Corporate Bonds
  "SHY", #iShares 1-3 year TBonds
  "IEF", #iShares 3-7 year TBonds
  "TLT" #iShares 20+ year Bonds
}